Bug 69986 - demos versioned 'wish' fixup needed
Summary: demos versioned 'wish' fixup needed
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tcltk (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-27 21:40 UTC by R P Herrold
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-05 04:40:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2002-07-27 21:40:34 UTC
bash-2.05a$ pwd
/usr/lib/tk8.3/demos

bash-2.05a$ rpm -qf widget
tk-8.3.3-69
bash-2.05a$

bash-2.05a$ ./browse
./browse: exec: wish8.3: not found

bash-2.05a$ grep 'wish8.3' *
browse:exec wish8.3 "$0" "$@"
hello:exec wish8.3 "$0" "$@"
hello~:exec wish8.3 "$0" "$@"
ixset:exec wish8.3 "$0" "$@"
rmt:exec wish8.3 "$0" "$@"
rolodex:exec wish8.3 "$0" "$@"
square:exec wish8.3 "$0" "$@"
tcolor:exec wish8.3 "$0" "$@"
timer:exec wish8.3 "$0" "$@"
widget:exec wish8.3 "$0" "$@"

====================================================

The internal 'exec' of the demo program set calls a 'versioned' variant of
'wish' -- and needs a awk fixup of the entry wish8.3 to /usr/bin./wish

During the build it can be as simple as the fix used elsewhere in the .spec
file:

...
cd ${RPM_BUILD_ROOT}
cd ./usr/lib/tk%{tclvers}/demos
	for i in `ls `; do
        sed "s|wish%{tclvers}|wish|" < $i > $i.new
	mv  $i.new $i
done
...

Comment 1 Jens Petersen 2002-08-07 10:41:35 UTC
Thanks. Should be fixed in tcltk-8.3.3-71.


Note You need to log in before you can comment on or make changes to this bug.